VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

Loading...
Searching...
No Matches
Public Member Functions | List of all members
MouseMoveEvent Struct Reference
New classes » Version 4.11

MouseMoveEvent. More...

`#include <events.h>`

Inheritance diagram for MouseMoveEvent:

## Public Member Functions
| MouseMoveEvent ()
| MouseMoveEvent (const CPoint &pos, MouseEventButtonState buttons={})
| MouseMoveEvent (const MouseDownUpMoveEvent &other)
Public Member Functions inherited from MouseDownUpMoveEvent
void | ignoreFollowUpMoveAndUpEvents (bool state)
bool | ignoreFollowUpMoveAndUpEvents ()
Public Member Functions inherited from Event
| Event () noexcept
| Event (const Event &)=delete
Event & | operator= (const Event &)=delete
| Event (Event &&)=default
Event & | operator= (Event &&)=default

## Additional Inherited Members
Public Attributes inherited from MouseDownUpMoveEvent
uint32_t | clickCount {0}
Public Attributes inherited from MouseEvent
MouseEventButtonState | buttonState
Public Attributes inherited from MousePositionEvent
CPoint | mousePosition
Public Attributes inherited from ModifierEvent
Modifiers | modifiers {}
| pressed modifiers
Public Attributes inherited from Event
EventType | type {EventType::Unknown}
| Type.
uint64_t | id
| Unique ID.
uint64_t | timestamp
| Timestamp.
EventConsumeState | consumed
| Consumed?
Static Public Attributes inherited from MouseDownUpMoveEvent
static constexpr uint32_t | IgnoreFollowUpEvents = EventConsumeState::Last
static constexpr uint32_t | IgnoreFollowUpEventsMask = 1 << IgnoreFollowUpEvents
Protected Member Functions inherited from MouseDownUpMoveEvent
| MouseDownUpMoveEvent ()=default
| MouseDownUpMoveEvent (const CPoint &pos, MouseEventButtonState buttons, Modifiers mods={})

## Detailed Description

MouseMoveEvent.

## Constructor & Destructor Documentation

## ◆ MouseMoveEvent() [1/3]

MouseMoveEvent | ( |  | ) |
| inline

## ◆ MouseMoveEvent() [2/3]

MouseMoveEvent | ( | const CPoint & | pos,
|  | MouseEventButtonState | buttons = {} )
| inline

## ◆ MouseMoveEvent() [3/3]

MouseMoveEvent | ( | const MouseDownUpMoveEvent & | other | ) |
| inline

The documentation for this struct was generated from the following file:

- events.h